org.eclipse.rdf4j.sail.lucene

## Class LuceneDocumentDistance

- java.lang.Object
- - org.eclipse.rdf4j.sail.lucene.LuceneDocumentResult
  - - org.eclipse.rdf4j.sail.lucene.LuceneDocumentDistance

- All Implemented Interfaces:
    DocumentDistance, DocumentResult

      public class LuceneDocumentDistance
      extends LuceneDocumentResult
      implements DocumentDistance

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.lucene.LuceneDocumentResult

      `index, scoreDoc`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneDocumentDistance(org.apache.lucene.search.ScoreDoc doc, String geoProperty, IRI units, org.locationtech.spatial4j.shape.Point origin, boolean includeContext, LuceneIndex index)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getDistance()`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.lucene.LuceneDocumentResult

      `getDocument`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.lucene.DocumentResult

      `getDocument`

- - ### Constructor Detail

    - #### LuceneDocumentDistance

          public LuceneDocumentDistance(org.apache.lucene.search.ScoreDoc doc,
                                        String geoProperty,
                                        IRI units,
                                        org.locationtech.spatial4j.shape.Point origin,
                                        boolean includeContext,
                                        LuceneIndex index)

  - ### Method Detail

    - #### getDistance

          public double getDistance()

      Specified by:
        `getDistance` in interface `DocumentDistance`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.